package xyz.pixelatedw.finalbeta;

import java.lang.reflect.Method;

import net.fabricmc.api.ModInitializer;
import net.minecraft.item.ItemInstance;
import net.minecraft.item.ItemType;
import net.minecraft.recipe.RecipeRegistry;
import net.minecraft.tile.Tile;
import net.minecraft.tile.WoolTile;

public class MainMod implements ModInitializer {

	@Override
	public void onInitialize() {
		ModConfig.instance();
		this.addWhiteWoolRecipe();
	}
	
	private void addWhiteWoolRecipe() {
		Method method = RecipeRegistry.class.getDeclaredMethods()[2];
		method.setAccessible(true);
		try {
			// Makes new recipes for all colored wools so they can be dyed back white using bone meal
			for (int colorId = 0; colorId < 16; ++colorId) {
				method.invoke(RecipeRegistry.getInstance(), new ItemInstance(Tile.WOOL, 1, 0), new Object[]{
						new ItemInstance(Tile.WOOL, 1, WoolTile.method_2(colorId)), new ItemInstance(ItemType.dyePowder, 1, 15)});
			}
		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}
}
